Skip to main content
GET
Get Web Presence Request

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<uuid>
required

The unique identifier of the Web Presence request.

Response

Web Presence Request

Web presence response - either US or International based on the request's country code.

This is a discriminated union that selects the appropriate response type based on the request_type field.

request_type
string
required

The type of web presence request.

Allowed value: "UNITED_STATES"
Example:

"UNITED_STATES"

id
string<uuid>
required

The ID of the Web Presence request

Example:

"fcc61370-fddf-4f53-b3bc-084f0367a025"

state
enum<string>
required

The status of the Web Presence request

Available options:
PENDING,
EXECUTING,
COMPLETED,
FAILED,
CANCELLED
Example:

"COMPLETED"

created_at
string<date-time>
required

The date and time when the Web Presence request was created.

Example:

"2026-08-31T10:31:07.806450"

name
string
required

The name of the business as it was input for the search.

Example:

"Ray's Pizza"

updated_at
string<date-time> | null

The most recent date and time when the Web Presence request was updated.

Example:

"2026-08-31T10:31:07.806461"

options
enum<string>[]

The options for the web presence request.

Available options:
Order.SocialMedia,
Order.ReviewSummary,
Order.ReviewFull,
Order.NaicsPrediction,
Order.WebsiteAnalysis,
Order.DirectoryListing
Example:
alternative_names
string[] | null

Alternative names for the business (e.g., DBA names)

Maximum array length: 10
Example:

"Orginal Ray's Pizza"

address
string | null

The address of the business as it was input for the search.

Maximum string length: 255
Example:

"123 Main St, Anytown, USA"

iso2_country_code
enum<string> | null

The ISO 2 country code of the business as it was input for the search.

Available options:
AD,
AE,
AF,
AG,
AI,
AL,
AM,
AO,
AQ,
AR,
AS,
AT,
AU,
AW,
AX,
AZ,
BA,
BB,
BD,
BE,
BF,
BG,
BH,
BI,
BJ,
BL,
BM,
BN,
BO,
BQ,
BR,
BS,
BT,
BV,
BW,
BY,
BZ,
CA,
CC,
CD,
CF,
CG,
CH,
CI,
CK,
CL,
CM,
CN,
CO,
CR,
CU,
CV,
CW,
CX,
CY,
CZ,
DE,
DJ,
DK,
DM,
DO,
DZ,
EC,
EE,
EG,
EH,
ER,
ES,
ET,
FI,
FJ,
FK,
FM,
FO,
FR,
GA,
GB,
GD,
GE,
GF,
GG,
GH,
GI,
GL,
GM,
GN,
GP,
GQ,
GR,
GS,
GT,
GU,
GW,
GY,
HK,
HM,
HN,
HR,
HT,
HU,
ID,
IE,
IL,
IM,
IN,
IO,
IQ,
IR,
IS,
IT,
JE,
JM,
JO,
JP,
KE,
KG,
KH,
KI,
KM,
KN,
KP,
KR,
KW,
KY,
KZ,
LA,
LB,
LC,
LI,
LK,
LR,
LS,
LT,
LU,
LV,
LY,
MA,
MC,
MD,
ME,
MF,
MG,
MH,
MK,
ML,
MM,
MN,
MO,
MP,
MQ,
MR,
MS,
MT,
MU,
MV,
MW,
MX,
MY,
MZ,
NA,
NC,
NE,
NF,
NG,
NI,
NL,
NO,
NP,
NR,
NU,
NZ,
OM,
PA,
PE,
PF,
PG,
PH,
PK,
PL,
PM,
PN,
PR,
PS,
PT,
PW,
PY,
QA,
RE,
RO,
RS,
RU,
RW,
SA,
SB,
SC,
SD,
SE,
SG,
SH,
SI,
SJ,
SK,
SL,
SM,
SN,
SO,
SR,
SS,
ST,
SV,
SX,
SY,
SZ,
TC,
TD,
TF,
TG,
TH,
TJ,
TK,
TL,
TM,
TN,
TO,
TR,
TT,
TV,
TW,
TZ,
UA,
UG,
UM,
US,
UY,
UZ,
VA,
VC,
VE,
VG,
VI,
VN,
VU,
WF,
WS,
XK,
YE,
YT,
ZA,
ZM,
ZW
Example:

"US"

website
string | null

The website of the business as it was input for the search.

Example:

"https://www.actual-valid-company-website.com/"

officer_names
string[] | null

A list of business officers related to the business as they were input for the search.

Example:
phone_number
string | null

The phone number as it was input for the search.

Example:

"123-456-7890"

email
string | null

The email as it was input for the search.

Example:

"support@example.com"

reference_id
string | null

An optional reference ID associated with the web presence request.

Maximum string length: 128
Example:

"WebPresence1234"

business_address_match
enum<string> | null

Indicates how closely the inputted address matches the found business entity.

Available options:
NO_MATCH,
CITY,
STATE,
SIMILAR,
EXACT
Example:

"EXACT"

business_address_match_sources
enum<string>[] | null

The sources where the best address match was found. Only populated when business_address_match is not NoMatch.

Available options:
INPUT_WEBSITE,
FOUND_WEBSITE,
SOCIAL_PROFILE,
INPUT_SOCIAL_PROFILE,
REVIEW,
DIRECTORY
Example:
phone_number_match
enum<string> | null

Indicates how closely the inputted phone number matches phone numbers found during discovery. Only populated when a phone number was provided in the request.

Available options:
NO_MATCH,
EXACT,
AREA_CODE
Example:

"EXACT"

phone_number_match_sources
enum<string>[] | null

The sources where the best phone number match was found. Only populated when phone_number_match is not NoMatch.

Available options:
INPUT_WEBSITE,
FOUND_WEBSITE,
SOCIAL_PROFILE,
INPUT_SOCIAL_PROFILE,
REVIEW,
DIRECTORY
Example:
email_match
enum<string> | null

Indicates how closely the inputted email matches emails found during discovery. Only populated when an email was provided in the request.

Available options:
NO_MATCH,
EXACT,
DOMAIN
Example:

"EXACT"

email_match_sources
enum<string>[] | null

The sources where the best email match was found. Only populated when email_match is not NoMatch.

Available options:
INPUT_WEBSITE,
FOUND_WEBSITE,
SOCIAL_PROFILE,
INPUT_SOCIAL_PROFILE,
REVIEW,
DIRECTORY
Example:
people_match
boolean | null

True if at least one officer name matches a person discovered during web presence analysis (exact or similar). Only populated when officer_names were provided in the request.

Example:

true

people_match_sources
enum<string>[] | null

The sources where the people match was found.

Available options:
INPUT_WEBSITE,
FOUND_WEBSITE,
SOCIAL_PROFILE,
INPUT_SOCIAL_PROFILE,
REVIEW,
DIRECTORY
Example:
business_website_match
boolean | null

Indicates whether the inputted website matches the found business entity.

Example:

true

business_website_redirect_match
boolean | null

Indicates whether the website match was established via a cross-domain redirect. True when business_website_match is True and the match was found because one website redirects to the other's domain.

Example:

true

found_website
string | null

The discovered website of the business.

Example:

"https://example.com/"

website_accuracy
number | null
deprecated

The confidence score of the discovered website.

Example:

0.95

found_social_profiles
DiscoveredSocialProfile · object[] | null

A list of discovered social profiles related to the business.

input_social_profiles
DiscoveredSocialProfile · object[] | null

Scraped social profiles from user-provided inputs.

social_profiles_match
InputSocialProfileMatch · object[] | null

Match results for user-provided social profile inputs. Each entry echoes back the original input (site, value) and indicates whether it was also independently found during organic social discovery.

found_reviews
DiscoveredReview · object[] | null

A list of discovered reviews related to the business.

found_directory_listings
DiscoveredDirectoryListing · object[] | null

A list of discovered directory listings related to the business.

website_analysis
WebsiteAnalysisDetails (v1) · object | null

The website analysis details associated with the web presence.

Example:
input_website_analysis
WebsiteAnalysisDetails (v1) · object | null

The website analysis details associated with the input website.

Example:
industry_prediction
PredictedNaicsResponse (v1) · object | null

The predicted NAICS code associated with the web presence.

Example:
scores
ScoreResponse (v1) · object[] | null

The scores associated with the web presence request, including WebKYB and WebRisk scores.